## hyperrogue 4.0t+dfsg

=== Makefile ===
CXXFLAGS ?= -O3

hyper: hyper.cpp graph.cpp hyperpoint.cpp geometry.cpp cell.cpp heptagon.cpp game.cpp classes.cpp polygons.cpp
	g++ hyper.cpp -o hyper -lSDL -lSDL_ttf -lSDL_mixer -DFHS -Wall -g -lSDL_gfx ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS}

=== debian/changelog ===
hyperrogue (4.0t+dfsg-1) unstable; urgency=low

  [ Christian M. Amsüss ]
  * Initial release. (Closes: #716924)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Nov 2013 22:56:06 +0200

=== debian/control ===
Source: hyperrogue
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends:
 debhelper (>= 9),
 imagemagick,
 libfontconfig-dev,
 libsdl-gfx1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 3.9.4
Section: games
Homepage: http://www.roguetemple.com/z/hyper.php
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hyperrogue.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-games/hyperrogue.git

Package: hyperrogue
Architecture: any
Depends:
 ttf-bitstream-vera | fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 hyperrogue-music
Description: non-euclidean graphical rogue-like game
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 In HyperRogue, the player can move through different parts of the world, which
 are home to particular creatures and may be subject to own rules of "physics".
 .
 While it can use ASCII characters to display the world the classical rogue
 symbols, the game needs graphics to render the non-euclidean world.

Package: hyperrogue-music
Architecture: all
Depends: ${misc:Depends}
Recommends: hyperrogue
Description: in-game music for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the in-game music.

Package: hyperrogue-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
 hyperrogue (= ${binary:Version})
Description: debug data for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the debugging symbols.

## hyperrogue 4.2+dfsg

=== Makefile ===
CXXFLAGS ?=

hyper: hyper.cpp graph.cpp hyperpoint.cpp geometry.cpp cell.cpp heptagon.cpp game.cpp classes.cpp polygons.cpp
	g++ hyper.cpp -o hyper -lSDL -lSDL_ttf -lSDL_mixer -DFHS -Wall -g -lSDL_gfx ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS} -lGL -O3

=== debian/changelog ===
hyperrogue (4.2+dfsg-1build1) utopic; urgency=medium

  * Rebuild against libsdl-gfx1.2-5.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 May 2014 10:43:34 +0100

hyperrogue (4.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.2+dfsg
    + adapt patches to apply cleanly with the new upstream release
    + add libgl1-mesa-dev to build-dependencies due to added -lGL
  * Declare conformance with Policy 3.9.5

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Dec 2013 10:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  debhelper (>= 9),
  imagemagick,
  libfontconfig-dev,
+ libgl1-mesa-dev,
  libsdl-gfx1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: games
 Homepage: http://www.roguetemple.com/z/hyper.php
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hyperrogue.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --dbg-package hyperrogue-dbg

override_dh_auto_build:
	dh_auto_build

	convert debian/hyperrogue.png -scale 32x32 hyperrogue.xpm

=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)(.)/$1.$2/,dversionmangle=s/\+dfsg$//" \
    http://www.roguetemple.com/z/hyper.php hyperrogue-(\d\w*)\.zip \
    debian dpt repack.sh

## hyperrogue 8.3j%2Bdfsg

=== debian/changelog ===
hyperrogue (8.3j+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on hppa by adding -mlong-calls to DEB_CXXFLAGS_MAINT_APPEND.
    Thanks to David Anglin for the report. (Closes: #839602)

 -- Markus Koschany <apo@debian.org>  Mon, 03 Oct 2016 00:13:19 +0200

hyperrogue (8.3j+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Implement several measures to avoid memory exhaustion and compilation
    errors on weaker buildds:
    - Don't build with parallel to reduce the amount of required memory.
    - Add optimization.patch and use Debian's default value for compiler
      optimization.
    - Build with O0 optimization on arm64 and hppa to prevent compilation
      errors and memory exhaustion.
  * Update Homepage field.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Sep 2016 22:37:04 +0200

hyperrogue (8.3j+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.3j+dfsg. (Closes: #797024)
  * New upstream release fixes FTBFS with GCC-6. (Closes: #811991)
  * Drop hyperrogue-dbg package and use the automatic -dbgsym package instead.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use cgit and https.
  * hyperrogue-music: Suggest hyperrogue.
  * hyperrogue.desktop: Add a comment in German.
  * Drop hyperrogue.menu, remove hyperrogue.xmp icon and do not convert
    the png icon to xpm anymore. (Closes: #797974)
  * d/rules: Change source directory to src.
  * Add system-dejavu.patch and replace 10-fontconfig.patch.
  * Drop 01-sdl_wm.patch. Fixed upstream.
  * d/control: Only depend on fonts-dejavu-core for hyperrouge.
  * d/control: Build-depend on libpng-dev.
  * Update copyright for new release and add missing licenses.
  * Update debian/clean and ensure that the package can be built twice in a
    row.
  * Fix debian/watch file.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Sep 2016 00:17:25 +0200

## hyperrogue 8.3j+dfsg

=== debian/control ===
Source: hyperrogue
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Christian M. Amsüss <chrysn@fsfe.org>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends:
 debhelper (>= 9),
 libfontconfig-dev,
 libgl1-mesa-dev,
 libpng-dev,
 libsdl-gfx1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev
Standards-Version: 3.9.8
Homepage: http://www.roguetemple.com/z/hyper/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git

Package: hyperrogue
Architecture: any
Depends:
 fonts-dejavu-core,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 hyperrogue-music
Description: non-euclidean graphical rogue-like game
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 In HyperRogue, the player can move through different parts of the world, which
 are home to particular creatures and may be subject to own rules of "physics".
 .
 While it can use ASCII characters to display the world the classical rogue
 symbols, the game needs graphics to render the non-euclidean world.

Package: hyperrogue-music
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 hyperrogue
Description: in-game music for hyperrogue
 HyperRogue is a game in which the player collects treasures and fights
 monsters -- rogue-like but for the fact that it is played on the hyperbolic
 plane and not in euclidean space.
 .
 This package contains the in-game music.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
WEAK_HOSTS := arm64 hppa

# Use less optimization on architectures that FTBFS otherwise
ifneq (,$(findstring $(DEB_HOST_ARCH),$(WEAK_HOSTS)))
export DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

%:
	dh $@

override_dh_auto_build:
	$(RM) src/glew.c
	dh_auto_build -Dsrc

=== debian/watch ===
version=4
opts="uversionmangle=s/^(.)(.)/$1.$2/,dversionmangle=s/\+dfsg$//" \
    http://www.roguetemple.com/z/hyper/download.php hyperrogue-(\d\w*)\.zip \
    debian dpt repack.sh

## hyperrogue 9.4n+dfsg

=== debian/changelog ===
hyperrogue (9.4n+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.4n.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Build with all hardening flags including pie again. (Closes: #865604)
  * Install new sound and music files into hyperrogue-music package.
  * Explain how to obtain the sources. Remove repack.local.
  * Update debian/copyright for new release.
  * Fix debian/watch file.

 -- Markus Koschany <apo@debian.org>  Mon, 17 Jul 2017 20:05:29 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -14,7 +14,7 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git

## hyperrogue 10.0g

=== src/Makefile ===
CXXFLAGS ?=

all: hyper

savepng-loc.o: savepng.c
	gcc savepng.c -c -o savepng-loc.o

hyper.o: hyper.cpp graph.cpp hyperpoint.cpp geometry.cpp cell.cpp heptagon.cpp game.cpp classes.cpp polygons.cpp language.cpp language-data.cpp achievement.cpp netgen.cpp mapeditor.cpp
	g++ hyper.cpp -c -o hyper.o -DFHS -Wall ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS} -O3 -DLINUX

hyper: hyper.o savepng-loc.o
	g++ savepng-loc.o hyper.o -o hyper -lSDL -lSDL_ttf -lSDL_mixer -lSDL_gfx ${CXXFLAGS} ${CPPFLAGS} ${LDFLAGS} -lGL -lpng

langen: langen.cpp language-cz.cpp language-pl.cpp language-tr.cpp language-ru.cpp
	g++ langen.cpp -o langen

language-data.cpp: langen
	./langen > language-data.cpp

=== debian/changelog ===
hyperrogue (10.0g-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.0g.
  * Drop the +dfsg suffix because the source code is DFSG-free and we just
    create our own tarball with music files included.
  * Declare compliance with Debian Policy 4.1.0.
  * Refresh system-dejavu.patch.

 -- Markus Koschany <apo@debian.org>  Thu, 14 Sep 2017 21:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Use less optimization on architectures that FTBFS otherwise
ifneq (,$(findstring $(DEB_HOST_ARCH),arm64))
export DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

# See also bug report #839602
ifneq (,$(findstring $(DEB_HOST_ARCH),hppa))
export DEB_CXXFLAGS_MAINT_APPEND=-mlong-calls
endif


%:
	dh $@ --no-parallel

override_dh_auto_build:
	$(RM) src/glew.c
	dh_auto_build -Dsrc

=== debian/watch ===
version=4
opts="uversionmangle=s/^(.)(.)/$1.$2/,dversionmangle=s/\+dfsg$//" \
    http://www.roguetemple.com/z/hyper/download.php hyperrogue(\d\w*)-src\.tgz

## hyperrogue 10.4j

=== debian/changelog ===
hyperrogue (10.4j-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.4j.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.5.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Aug 2018 02:54:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -14,7 +14,7 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
 Homepage: http://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git

## hyperrogue 11.2b

=== debian/changelog ===
hyperrogue (11.2b-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:04 +0100

hyperrogue (11.2b-1) unstable; urgency=medium

  * Team upload.
  * New upstream version release.
    - drop patch applied upstream.
    - update copyright.
    - clean generated header file
  * Bump Standards-Version to 4.4.1.
  * Add patch to build source files individually instead of all at once.
  * Use optimizations on all architectures.
  * Enable parallel building.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 03 Oct 2019 17:55:21 +0200

hyperrogue (10.5e-2) unstable; urgency=medium

  * Team upload.
  * Disable optimization also on mipsel so that it can build on buildds.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Aug 2019 18:11:12 +0200

hyperrogue (10.5e-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.5e.
    - drop obsolete patches and refresh remaining one
  * Update watch file to fix version detection.
  * Point Vcs-* fields to salsa.
  * Update d/copyright:
    - add dlls, Android port and font to Files-Excluded
    - add missing license paragraph for CC-BY-3.0
    - update paths of new upstream version.
  * Update debhelper compat level to 12.
  * Update Standards-Version to 4.4.0:
    - declare that d/rules does not require root
  * Mark -music package as Multi-Arch: foreign
  * Use https for upstream homepage
  * Pass /usr/games as bindir to configure
  * Use hyperrogue as new binary name.
  * Rename manpage to new binary name.
  * Install README file.
  * Fix spelling errors found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 23:14:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -14,10 +14,11 @@
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl1.2-dev
-Standards-Version: 4.1.5
-Homepage: http://www.roguetemple.com/z/hyper/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/hyperrogue.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/hyperrogue.git
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://www.roguetemple.com/z/hyper/
+Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue
+Vcs-Git: https://salsa.debian.org/games-team/hyperrogue.git
 
 Package: hyperrogue
 Architecture: any
@@ -40,6 +41,7 @@
 
 Package: hyperrogue-music
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:

=== debian/watch ===
version=4
https://github.com/zenorogue/hyperrogue/releases \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## hyperrogue 11.3o

=== debian/changelog ===
hyperrogue (11.3o-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches
  * Build-depend on zlib1g-dev.
  * Update copyrights.
  * Bump debhelper compat to 13.
  * Bump Standards-Version to 4.5.1.
  * Add upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 09 Jan 2021 14:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Christian M. Amsüss <chrysn@fsfe.org>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfontconfig-dev,
  libgl1-mesa-dev,
  libpng-dev,
  libsdl-gfx1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
- libsdl1.2-dev
-Standards-Version: 4.4.1
+ libsdl1.2-dev,
+ zlib1g-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# See also bug report #839602
ifneq (,$(findstring $(DEB_HOST_ARCH),hppa))
export DEB_CXXFLAGS_MAINT_APPEND=-mlong-calls
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

## hyperrogue 12.0f

=== Makefile ===
# This Makefile works for Mac OS X (El Capitan), MinGW, and Linux.
#
# For Mac OS X:
#   Run "brew install sdl" to install SDL in /usr/local.
#   Run "brew install sdl_gfx".
#   Run "brew install sdl_mixer".
#   Run "brew install sdl_ttf".
#   Run "make" to build HyperRogue as ./hyperrogue.
#
# For MSYS2 and MinGW-w64:
#   You might need to run commands such as "pacman -S mingw-w64-x86_64-SDL"
#   to install SDL and other required libraries.
#   Run "make" to build HyperRogue as ./hyperrogue.exe.
#
# For Ubuntu Linux:
#   Run "sudo apt-get install libsdl-dev" to install SDL in /usr/local.
#   Run "make" to build HyperRogue as ./hyperrogue.


ifeq ($(OS),Windows_NT)
  OS := mingw
  TOOLCHAIN := mingw
else
  UNAME_S := $(shell uname -s)
  ifeq ($(UNAME_S),Linux)
    OS := linux
  else
    ifeq ($(UNAME_S),Darwin)
      OS := osx
    endif
  endif
  TOOLCHAIN_VERSION_S := $(shell $(CXX) --version)
  ifneq (,$(findstring clang,$(TOOLCHAIN_VERSION_S)))
    TOOLCHAIN := clang
  else
    TOOLCHAIN := gcc
  endif
endif


## We have now finished inspecting the environment via $(shell).
## Begin customization points for each OS and TOOLCHAIN we support.


ifeq (${OS},linux)
  CXXFLAGS_EARLY += -DLINUX
  EXE_EXTENSION :=
  LDFLAGS_GL := -lGL
  LDFLAGS_GLEW := -lGLEW
  LDFLAGS_PNG := -lpng
  LDFLAGS_SDL := -lSDL -lSDL_gfx -lSDL_mixer -lSDL_ttf -lpthread -lz
  OBJ_EXTENSION := .o
  hyper_RES :=
endif

ifeq (${OS},mingw)
  CXXFLAGS_EARLY += -DWINDOWS -mwindows -D_A_VOLID=8
  EXE_EXTENSION := .exe
  LDFLAGS_GL := -lopengl32
  LDFLAGS_GLEW := -lglew32
  LDFLAGS_PNG := -lpng
  LDFLAGS_SDL := -lSDL -lSDL_gfx -lSDL_mixer -lSDL_ttf -lpthread -lz
  OBJ_EXTENSION := .o
  hyper_RES := hyper.res
  ifeq (${HYPERROGUE_USE_GLEW},)
    HYPERROGUE_USE_GLEW := 1
  endif
endif

ifeq (${OS},osx)
  CXXFLAGS_EARLY += -DMAC -I/usr/local/include
  EXE_EXTENSION :=
  LDFLAGS_EARLY += -L/usr/local/lib
  LDFLAGS_GL := -framework AppKit -framework OpenGL
  LDFLAGS_GLEW := -lGLEW
  LDFLAGS_PNG := -lpng
  LDFLAGS_SDL := -lSDL -lSDLMain -lSDL_gfx -lSDL_mixer -lSDL_ttf -lpthread -lz
  OBJ_EXTENSION := .o
  hyper_RES :=
endif

ifeq (${TOOLCHAIN},clang)
  CXXFLAGS_STD = -std=c++11
  CXXFLAGS_EARLY += -march=native -fPIC
  CXXFLAGS_EARLY += -W -Wall -Wextra -Wsuggest-override -Werror -pedantic
  CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized -Wno-unknown-warning-option
  CXXFLAGS_EARLY += -Wno-invalid-offsetof
endif

ifeq (${TOOLCHAIN},gcc)
  CXXFLAGS_STD = -std=c++11
  CXXFLAGS_EARLY += -march=native -fPIC
  CXXFLAGS_EARLY += -W -Wall -Wextra -Werror -pedantic
  CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
endif

ifeq (${TOOLCHAIN},mingw)
  CXXFLAGS_STD = -std=c++11
  CXXFLAGS_EARLY += -march=native
  CXXFLAGS_EARLY += -W -Wall -Wextra -Werror
  CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
endif


## We have now finished OS-specific and TOOLCHAIN-specific computations.
## Begin customization points for user-specifiable HYPERROGUE_USE_XXX macros.


hyper_OBJS = hyper$(OBJ_EXTENSION)
hyper_LDFLAGS = $(LDFLAGS_GL) $(LDFLAGS_SDL)

ifeq (${HYPERROGUE_USE_GLEW},1)
  CXXFLAGS_EARLY += -DCAP_GLEW=1
  hyper_LDFLAGS += $(LDFLAGS_GLEW)
else
  CXXFLAGS_EARLY += -DCAP_GLEW=0
endif

ifeq (${HYPERROGUE_USE_PNG},1)
  CXXFLAGS_EARLY += -DCAP_PNG=1
  hyper_LDFLAGS += $(LDFLAGS_PNG)
  hyper_OBJS += savepng$(OBJ_EXTENSION)
else
  CXXFLAGS_EARLY += -DCAP_PNG=0
endif

ifeq (${HYPERROGUE_USE_ROGUEVIZ},1)
  # Enable RogueViz. RogueViz requires C++17.
  CXXFLAGS_STD = -std=c++17
  CXXFLAGS_EARLY += -DCAP_ROGUEVIZ=1
endif


## We have now finished HYPERROGUE_USE_XXX-specific computations.
## Begin the Makefile proper.


override CXXFLAGS := $(CXXFLAGS_STD) $(CXXFLAGS_EARLY) $(CXXFLAGS) ${EXTRA_CXXFLAGS}
override LDFLAGS := $(LDFLAGS_EARLY) $(LDFLAGS) ${EXTRA_LDFLAGS}

hyperrogue$(EXE_EXTENSION): $(hyper_OBJS) $(hyper_RES)
	$(CXX) $(CXXFLAGS) $(hyper_OBJS) $(hyper_RES) $(LDFLAGS) $(hyper_LDFLAGS) -o $@

hyper$(OBJ_EXTENSION): *.cpp language-data.cpp autohdr.h
	$(CXX) -O2 $(CXXFLAGS) $(hyper_CXXFLAGS) -c hyper.cpp -o $@

hyper.res: hyper.rc hr-icon.ico
	windres hyper.rc -O coff -o hyper.res

langen$(EXE_EXTENSION): langen.cpp language-??.cpp language-ptbr.cpp
	$(CXX) -O0 $(CXXFLAGS) $(langen_CXXFLAGS) langen.cpp $(LDFLAGS) -o $@

makeh$(EXE_EXTENSION): makeh.cpp
	$(CXX) -O2 makeh.cpp -o $@

autohdr.h: makeh$(EXE_EXTENSION) language-data.cpp *.cpp
	./makeh classes.cpp locations.cpp colors.cpp hyperpoint.cpp geometry.cpp goldberg.cpp init.cpp floorshapes.cpp cell.cpp multi.cpp shmup.cpp pattern2.cpp mapeditor.cpp graph.cpp textures.cpp hprint.cpp language.cpp util.cpp complex.cpp *.cpp > autohdr.h

language-data.cpp: langen$(EXE_EXTENSION)
	./langen > language-data.cpp

savepng$(OBJ_EXTENSION): savepng.cpp
	$(CXX) -O2 $(CXXFLAGS) -c savepng.cpp -o $@

mymake$(EXE_EXTENSION): mymake.cpp
	$(CXX) -O2 $(CXXFLAGS) mymake.cpp -pthread -o $@

emscripten: hyper.html

%.html %.js %.wasm: %.emscripten-sources
	emcc -std=c++11 -O3 -s USE_ZLIB=1 -s LEGACY_GL_EMULATION=1 -s TOTAL_MEMORY=128MB hyperweb.cpp -o hyper.html

hyper.emscripten-sources: *.cpp autohdr.h

.PHONY: clean

clean:
	rm -f langen$(EXE_EXTENSION) language-data.cpp
	rm -f makeh$(EXE_EXTENSION) autohdr.h
	rm -rf mymake$(EXE_EXTENSION) mymake_files/
	rm -f hyperrogue$(EXE_EXTENSION) hyper$(OBJ_EXTENSION) $(hyper_RES) savepng$(OBJ_EXTENSION)
	rm -f hyper.html hyper.js hyper.wasm

=== debian/changelog ===
hyperrogue (12.0f-1build1) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:19:01 +0000

hyperrogue (12.0f-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh/update patches
  * Build with FHS so that log/config files are placed in home directory.
    (Closes: #985797)
  * Cherry-pick upstream patch to fix build with current GCC.
  * Build with SDL2 support.
    - change build dependencies from SDL1 to SDL2
    - update Makefile to build against SDL2
  * Drop -march=native optimization from Makefile.
  * Improve Makefile to build with pkg-config.
  * Adjust *.install files for new upstream Makefile.
  * Update copyrights.
  * Bump Standards-Version to 4.6.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 30 Aug 2021 01:04:03 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
  debhelper-compat (= 13),
  libfontconfig-dev,
  libgl1-mesa-dev,
+ libglew-dev,
  libpng-dev,
- libsdl-gfx1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl-ttf2.0-dev,
- libsdl1.2-dev,
+ libsdl2-gfx-dev,
+ libsdl2-mixer-dev,
+ libsdl2-ttf-dev,
+ libsdl2-dev,
+ pkg-config,
  zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue

## hyperrogue 12.0q

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,7 @@
   CXXFLAGS_EARLY += -march=native -fPIC
   CXXFLAGS_EARLY += -W -Wall -Wextra -Werror -pedantic
   CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
+  CXXFLAGS_EARLY += -Wno-invalid-offsetof
 endif
 
 ifeq (${TOOLCHAIN},mingw)
@@ -99,6 +100,7 @@
   CXXFLAGS_EARLY += -march=native
   CXXFLAGS_EARLY += -W -Wall -Wextra -Werror
   CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
+  CXXFLAGS_EARLY += -Wno-invalid-offsetof
 endif
 
 
@@ -154,7 +156,7 @@
 	$(CXX) -O2 makeh.cpp -o $@
 
 autohdr.h: makeh$(EXE_EXTENSION) language-data.cpp *.cpp
-	./makeh classes.cpp locations.cpp colors.cpp hyperpoint.cpp geometry.cpp goldberg.cpp init.cpp floorshapes.cpp cell.cpp multi.cpp shmup.cpp pattern2.cpp mapeditor.cpp graph.cpp textures.cpp hprint.cpp language.cpp util.cpp complex.cpp *.cpp > autohdr.h
+	./makeh classes.cpp locations.cpp colors.cpp hyperpoint.cpp geometry.cpp goldberg.cpp init.cpp floorshapes.cpp cell.cpp multi.cpp shmup.cpp pattern2.cpp mapeditor.cpp graph.cpp textures.cpp hprint.cpp language.cpp util.cpp complex.cpp multigame.cpp *.cpp > autohdr.h
 
 language-data.cpp: langen$(EXE_EXTENSION)
 	./langen > language-data.cpp

=== debian/changelog ===
hyperrogue (12.0q-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch applied upstream and refresh patches.
  * Cherry-pick patch to fix build with GCC 12.
  * Bump Standards-Version to 4.6.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 11:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libsdl2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue

## hyperrogue 12.1q

=== Makefile ===
--- 
+++ 
@@ -81,28 +81,31 @@
 
 ifeq (${TOOLCHAIN},clang)
   CXXFLAGS_STD = -std=c++11
-  CXXFLAGS_EARLY += -march=native -fPIC
-  CXXFLAGS_EARLY += -W -Wall -Wextra -Wsuggest-override -Werror -pedantic
-  CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized -Wno-unknown-warning-option
+  CXXFLAGS_EARLY += -fPIC
+  CXXFLAGS_EARLY += -W -Wall -Wextra -Wsuggest-override -pedantic
+  CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized -Wno-char-subscripts -Wno-unknown-warning-option
   CXXFLAGS_EARLY += -Wno-invalid-offsetof
 endif
 
 ifeq (${TOOLCHAIN},gcc)
   CXXFLAGS_STD = -std=c++11
-  CXXFLAGS_EARLY += -march=native -fPIC
-  CXXFLAGS_EARLY += -W -Wall -Wextra -Werror -pedantic
+  CXXFLAGS_EARLY += -fPIC
+  CXXFLAGS_EARLY += -W -Wall -Wextra -pedantic
   CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
   CXXFLAGS_EARLY += -Wno-invalid-offsetof
 endif
 
 ifeq (${TOOLCHAIN},mingw)
   CXXFLAGS_STD = -std=c++11
-  CXXFLAGS_EARLY += -march=native
-  CXXFLAGS_EARLY += -W -Wall -Wextra -Werror
+  CXXFLAGS_EARLY += -W -Wall -Wextra
   CXXFLAGS_EARLY += -Wno-unused-parameter -Wno-implicit-fallthrough -Wno-maybe-uninitialized
   CXXFLAGS_EARLY += -Wno-invalid-offsetof
 endif
 
+ifeq (${FONTCONFIG},1)
+  CXXFLAGS_EARLY += -DFONTCONFIG `pkg-config --cflags fontconfig`
+  LDFLAGS_EARLY += `pkg-config --libs fontconfig`
+endif
 
 ## We have now finished OS-specific and TOOLCHAIN-specific computations.
 ## Begin customization points for user-specifiable HYPERROGUE_USE_XXX macros.
@@ -156,7 +159,7 @@
 	$(CXX) -O2 makeh.cpp -o $@
 
 autohdr.h: makeh$(EXE_EXTENSION) language-data.cpp *.cpp
-	./makeh classes.cpp locations.cpp colors.cpp hyperpoint.cpp geometry.cpp goldberg.cpp init.cpp floorshapes.cpp cell.cpp multi.cpp shmup.cpp pattern2.cpp mapeditor.cpp graph.cpp textures.cpp hprint.cpp language.cpp util.cpp complex.cpp multigame.cpp *.cpp > autohdr.h
+	./makeh classes.cpp locations.cpp colors.cpp hyperpoint.cpp geometry.cpp embeddings.cpp goldberg.cpp init.cpp floorshapes.cpp cell.cpp multi.cpp shmup.cpp pattern2.cpp mapeditor.cpp graph.cpp textures.cpp hprint.cpp language.cpp util.cpp complex.cpp multigame.cpp arbitrile.cpp rulegen.cpp *.cpp > autohdr.h
 
 language-data.cpp: langen$(EXE_EXTENSION)
 	./langen > language-data.cpp

=== debian/changelog ===
hyperrogue (12.1q-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file to tags.
  * Bump Standards-Version to 4.6.2.
  * Drop patch for locating system font, as fontconfig is now supported.
  * Drop patch for disabling native optimizations, as it is no longer needed.
  * Drop patch for gcc12 support, which is applied upstream.
  * Build with fontconfig support.
  * Replace obsolete build dependency libgl1-mesa-dev => libgl-dev.
  * Drop removed paths from d/copyright.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 14:18:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libfontconfig-dev,
- libgl1-mesa-dev,
+ libgl-dev,
  libglew-dev,
  libpng-dev,
  libsdl2-gfx-dev,
@@ -17,7 +17,7 @@
  libsdl2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.roguetemple.com/z/hyper/
 Vcs-Browser: https://salsa.debian.org/games-team/hyperrogue

=== debian/watch ===
version=4
https://github.com/zenorogue/hyperrogue/tags \
 .*/v?@ANY_VERSION@@ARCHIVE_EXT@
